Skip to main content

Resume a webhook subscription

Clear the automatic retry delay for a webhook subscription after a failed delivery attempt. This allows Woodpecker to retry failed events and process new events that were queued while the subscription was delayed, without waiting for the scheduled retry

Use get webhook events to find subscriptions waiting for an automatic retry by checking their events' waiting_for_retry status and auto_retry_after timestamp.

Request​

Endpoint​

POST https://api.woodpecker.co/rest/v2/webhooks/{id}/resume

Headers​

x-api-key: {YOUR_API_KEY}

For details on how to authenticate your requests, please see the authentication guide.

Parameters​

ParameterRequiredTypeDescription
idYesintegerSubscription ID from the webhook_config_id field in get webhook events

Request samples​

Resume delivery for a delayed subscription​

curl --request POST \
--url "https://api.woodpecker.co/rest/v2/webhooks/98764/resume" \
--header "x-api-key: {YOUR_API_KEY}"

Response​

Response examples​

The retry delay has been cleared. Queued events can now be processed without waiting for the scheduled retry. Use get webhook events to check their status.

Body: none